﻿using Entities;
using Shared;

namespace API.Service;

public class UserDataServiceApi(IUserService<UserEntity> userService) : IUserService<UserEntity>
{
    public IEnumerable<UserEntity> GetUsers(int page, int number)
    {
        var usersEntities = userService.GetUsers(page, number);
        return usersEntities.Select(e => e).ToList();
    }

    public UserEntity GetUserById(int id) => userService.GetUserById(id);

    public UserEntity GetUserByUsername(string username) => userService.GetUserByUsername(username);

    public bool DeleteUser(int id) => userService.DeleteUser(id);

    public UserEntity UpdateUser(int id, UserEntity user) =>
        userService.UpdateUser(id, user);

    public UserEntity CreateUser(string username, string password, string email, bool isAdmin) =>
        userService.CreateUser(username, password, email, isAdmin);
}