using Dto;
using Model.OrderCriteria;

namespace Shared;

public interface IInquiryDataService : IDataService
{
    public IEnumerable<InquiryDTO> GetInquiries(int page, int number, InquiryOrderCriteria orderCriteria);
    public InquiryDTO GetInquiryById(int id);
    public InquiryDTO GetInquiryByTitle(string title);
    public bool DeleteInquiry(int id);
    public InquiryDTO UpdateInquiry(int id, InquiryDTO inquiry);
    public InquiryDTO CreateInquiry(string title, string description, bool isUser, int tableId, int solutionId);
}